Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


Sign in to follow this  
ppgrainbow

Windows NT 4.0: Can't access Google homepage under IE6!

Recommended Posts

Hello! I apologise if I might have posted in the wrong forum, but I have a problem here.

 

For some reason, when attempting to access the Google homepage on Internet Explorer 6 SP1 under Windows NT 4.0 and Windows 2000, I get a page not found error:
post-334069-0-87237300-1443383203_thumb.

On a Windows 95 machine running Internet Explorer 5.5 SP2, I can access Google just fine:
post-334069-0-81353500-1443383228_thumb.
By the way, can anyone also try to access the Wikipedia webpage under IE5 or IE6 when running under Windows 9x, ME, Windows NT 4.0 or Windows 2000? This was tested using the Windows 95 and Windows NT 4.0 virtual machines running under Microsoft Virtual PC 2007.

 

What can be done to access Google and Wikipedia under IE6 and other old browsers, btw?

Edited by ppgrainbow

Share this post


Link to post
Share on other sites

Google and Wikipedia are completely separate issues. Unfortunately, I don't understand what either of those issues is, only that they are unrelated.

On my Win98se machine, Google works in both IE5 and FF2.

Wikipedia doesn't work in IE5 and just once per session in FF2.

Here's a table of SSL-related User Agent Capabilities by browser: https://www.ssllabs.com/ssltest/clients.html

Click "Test Your Browser" to perform a detailed SSL test.

Another tester: https://www.howsmyssl.com/

Share this post


Link to post
Share on other sites

Google and Wikipedia are completely separate issues. Unfortunately, I don't understand what either of those issues is, only that they are unrelated.

On my Win98se machine, Google works in both IE5 and FF2.

Wikipedia doesn't work in IE5 and just once per session in FF2.

Here's a table of SSL-related User Agent Capabilities by browser: https://www.ssllabs.com/ssltest/clients.html

Click "Test Your Browser" to perform a detailed SSL test.

Another tester: https://www.howsmyssl.com/

According to the Qualys SSL Labs, I found that neither Internet Explorer 6 nor Internet Explorer 8 on Windows XP are capable off supporting TLS 1.2, SNI, Forward Secrecy, Stapling and Session Tickets...that means no SSL-related User Agent capabilities.

 

Ironically, if I set the User Agent on the SeaMonkey browser to Internet Explorer 6, both the Google and Wikipedia are accessible.

 

Under NT 4.0 SP6 running IE6 SP1, I could neither access howsmyssl.com nor ssllabs.com at all. :(

 

Sounds to be that something could be totally wrong with the SSL capabilities under Windows NT 4.0.

Share this post


Link to post
Share on other sites

I have noticed this phenomenon on machines running Internet Explorer 6 as well.

 

The ideas that explain this are:

 

1) The POODLE attack in 2014 is unique to SSL 3.0. This prompted servers to block browsers specifically using SSL 3.0 (not block SSL 2.0). Browsers with only SSL 3.0 enabled will fail to connect to HTTPS unless you select TLS instead.

 

2) Internet Explorer 6 uses SSL 3.0 by default but Internet Explorer 5.5 and earlier use SSL 2.0 by default.

 

3) Hence, older browsers can access SSL sites because they are using SSL 2.0, not the banned SSL 3.0.

 

I can still access my college's Banner system using Internet Explorer 5.0 under Windows 98!

 

ie5dom.jpg

Share this post


Link to post
Share on other sites

I have noticed this phenomenon on machines running Internet Explorer 6 as well.

 

The ideas that explain this are:

 

1) The POODLE attack in 2014 is unique to SSL 3.0. This prompted servers to block browsers specifically using SSL 3.0 (not block SSL 2.0). Browsers with only SSL 3.0 enabled will fail to connect to HTTPS unless you select TLS instead.

 

2) Internet Explorer 6 uses SSL 3.0 by default but Internet Explorer 5.5 and earlier use SSL 2.0 by default.

 

3) Hence, older browsers can access SSL sites because they are using SSL 2.0, not the banned SSL 3.0.

 

I can still access my college's Banner system using Internet Explorer 5.0 under Windows 98!

 

ie5dom.jpg

 

That's what I've been thinking. The POODLE vulnerability caused servers to block SSL v3.0. Internet Explorer 6 uses SSL v3.0. I'm guessing that there could also be a problem with the security certificates.

 

Simply unchecking SSL v3.0 didn't do any good to access the Google webpage at all. I've heard that killing SSL v3.0 support broke support for most webpages running under Internet Explorer 6.

 

Is there a way to possibly to make IE6 use only SSL v2.0 to get around the website blockage issue running when under Windows NT 4.0 SP6, Windows 98, Windows Millennium, Windows 2000 and Windows XP?

Edited by ppgrainbow

Share this post


Link to post
Share on other sites

I don't believe there is a way to force IE 6 to IE 5 compatibility mode. You can try messing about with the settings and/or the registry.

I wouldn't bother; IE 6 is basically the same as IE 5. If anything IE 6 is a bit more unreliable these days. I don't run IE 6 on any of my machines. IE 5.0 is very stable and IE 5.5 adds nice features like print preview and better CSS support.

Some websites crash immediately when you try to open them in IE6, but not in IE 5. I don't know if it is deliberate by web designers, or an inherent flaw within the IE 6 web browser.

Share this post


Link to post
Share on other sites

I don't believe there is a way to force IE 6 to IE 5 compatibility mode. You can try messing about with the settings and/or the registry.

I wouldn't bother; IE 6 is basically the same as IE 5. If anything IE 6 is a bit more unreliable these days. I don't run IE 6 on any of my machines. IE 5.0 is very stable and IE 5.5 adds nice features like print preview and better CSS support.

Some websites crash immediately when you try to open them in IE6, but not in IE 5. I don't know if it is deliberate by web designers, or an inherent flaw within the IE 6 web browser.

 

That's what I've been seeing.

 

With so many websites removing SSL v3 support, IE6 could soon be rendered unusable. I'm wondering if there is a way to disable SSL v3 support in the registry or not...

Share this post


Link to post
Share on other sites

If we can identify which DLL is providing the SSL3 support, we might be able to downgrade it with the one from IE5.5.

Even better might be to upgrade it with an IE7 or 8 file that supports TLS.

Share this post


Link to post
Share on other sites

If we can identify which DLL is providing the SSL3 support, we might be able to downgrade it with the one from IE5.5.

Even better might be to upgrade it with an IE7 or 8 file that supports TLS.

 

Good idea. If you have found which DLL that provided SSL v3 support and caused websites to not function, please let me know. :)

 

I'm also wondering if debugging will help identify which DLL has been providing SSL v3 support with no proper way to disable it.

Share this post


Link to post
Share on other sites

It is an artificial limitation that affects Windows NT 4.0, 2000, XP and Server 2003. Even after unselecting SSL 3.0 in the browser, Google.com still fails to load. This does not happen on older versions of Internet Explorer. Any version of IE other than 6.0 loads. IE 6.0 SP3 is the only version of IE 6.0 that can load the Google.com home page; this version is included with/only available on XP SP3. According to Wikipedia, XP is the only OS that can run IE 6.0 SP3.

 

This is why I think there are webmasters specifically blocking the IE 6 web browser. This does not occur under Internet Explorer 5. In fact, Internet Explorer 2.0, 3.0, 4.0, and 5.x all load.

 

google.jpg

 

 

 

googssl3.jpg

Edited by sdfox7

Share this post


Link to post
Share on other sites

That's what I've been thinking. However, Internet Explorer 6 is not totally unusable. There are still other websites that users can visit.

 

It seems that Microsoft made a poor choice when it released IE6 on 2001. I think that the main reason why so many websites fail to load is also the removal of RC4 support. This is not an issue under Firefox or Seamonkey and it's even partially an issue under older versions of Netscape and Opera.

Share this post


Link to post
Share on other sites

Funnily enough I have experienced this issue on one of two Windows 2000 installations.

 

Both have IE6, SP1 (Build 6.0.2800.1106) installed. Both have TLS 1.0, SSL 1.0 and SSL 2.0 selected for use. One has the Latest Daily UURollup (November 2014), the other has the Latest Stable Release (2012 or 2013 IIRC0.

 

The one with the latest stable release will not load ANY site using HTTPS, while the other, with the latest Daily Release will. 

 

I'm not sure if there was a Root Certificates update included with UURollup at some point, or maybe some modification to SSL. But fundamentally, both installations are pretty much the same. 

 

I had thought this was an isolated issue, but considering others are noting it is of some concern. Of course, I installed IE6 to be able to run Windows Update and fully update Windows after installing it and the required software, either before or after USP5.1. I would then install the other packages. 

 

On my "main Windows 2000" system, with the latest Daily release of UURollup, I use Opera 10.12 (Last Presto version), Firefox 10 and 24ESR, as well as the latest Firefox Nightly release. IE6 is only used for a couple of sites I know are 100% compatible, and so obscure they aren't infested with any ads or malware. 

The other system runs as a Server of sorts - so is pretty much unused. 

Share this post


Link to post
Share on other sites

Although I got very late, I solved the problem in Windows 2000 with IE6 SP1. I did not make any adjustments with the security protocols. You have to create a log file with this code and run it! It works in Windows 2000! but I do not know if it works in Windows 98, ME and NT 4.

Code of the .reg file:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\5.0\User Agent]
"Version"="MSIE 5.5"

Now some screenshots to see how it looked before and after applying that file to the registry

 

 

After.png

Before.png

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×